//   ***************************************************************************************************
//   ***************************************************************************************************
//   ***************************************************************************************************
//   K1 Force Powers Include (sa_inc_force.nss).
//   Created by Star Admiral.
//   Last Modified on 12/31/08.
//   ***************************************************************************************************
//   ***************************************************************************************************
//   ***************************************************************************************************

// Declare spell constants.   *** Needs memory tokens. ***
int SA_DETERMINATION_PRO = 999;
int SA_DETERMINATION_MAS = 999;
int SA_CONTENTION_PRO = 999;
int SA_CONTENTION_MAS = 999;
int SA_RESILIENCE_PRO = 999;
int SA_RESILIENCE_MAS = 999;
int SA_AGGRESSION_PRO = 999;
int SA_AGGRESSION_MAS = 999;
int SA_PERSEVERANCE_PRO = 999;
int SA_PERSEVERANCE_MAS = 999;
int SA_MODERATION_PRO = 999;
int SA_MODERATION_MAS = 999;
int SA_FEROCITY_PRO = 999;
int SA_FEROCITY_MAS = 999;

// Function to remove a given effect from a character.
void SA_RemoveEffectSingle( int nSpell, object oTarget ) {

   if( GetHasSpellEffect( nSpell, oTarget ) ) {
      effect eBuff = GetFirstEffect( oTarget );
      while( GetIsEffectValid( eBuff ) ) {
         if( GetEffectSpellId( eBuff ) == nSpell )
            RemoveEffect( oTarget, eBuff );
         eBuff = GetNextEffect( oTarget );
      }
   }

}

// Function to apply a given effect to a character.
void SA_ApplyEffectSingle( int nSpell, object oTarget, int nHarmful, int nType, effect eEffect, float fDuration ) {

   SignalEvent( oTarget, EventSpellCastAt( oTarget, nSpell, nHarmful ) );
   ApplyEffectToObject( nType, eEffect, oTarget, fDuration );

}
